;Sepcial Register

;;--------------------------
;; CPU core used
;;--------------------------
INDF0    EQU  000H
POINC0   EQU  001H
PODEC0   EQU  002H
PRINC0   EQU  003H
PLUSW0   EQU  004H
INDF1    EQU  005H
POINC1   EQU  006H
PODEC1   EQU  007H
PRINC1   EQU  008H
PLUSW1   EQU  009H
INDF2    EQU  00AH
POINC2   EQU  00BH
PODEC2   EQU  00CH
PRINC2   EQU  00DH
PLUSW2   EQU  00EH
FSR0H    EQU  00FH
FSR0L    EQU  010H
FSR1H    EQU  011H
FSR1L    EQU  012H
FSR2H    EQU  013H
FSR2L    EQU  014H
TOSH     EQU  016H
TOSL     EQU  017H
SKCN     EQU  018H
  SKFL    EQU  7
  SKUN    EQU  6
  SKOV    EQU  5
  SKPRT3  EQU  3
  SKPRT2  EQU  2
  SKPRT1  EQU  1
  SKPRT0  EQU  0
PCLATH   EQU  01AH
PCLATL   EQU  01BH

;;--------------------------
;; Table read
;;--------------------------
TBLPTRH  EQU  01DH
TBLPTRL  EQU  01EH
TBLDH    EQU  01FH
TBLDL    EQU  020H

;;--------------------------
;; Hardware multiplier
;;--------------------------
PRODH    EQU  021H
PRODL    EQU  022H

;;--------------------------
;; interrupt
;;--------------------------
INTE0    EQU  023H
  GIE     EQU  7
  TA1CIE  EQU  6
  ADIE    EQU  5
  WDTIE   EQU  4
  TB1IE   EQU  3
  E0IE    EQU  0
INTE1    EQU  024H
  TA1IE   EQU  7
  SPIIE   EQU  6
  TXIE    EQU  5
  RCIE    EQU  4
  I2CERIE EQU  3
  I2CIE   EQU  2
  E2IE    EQU  0
INTE2    EQU  025H
  TA2IE   EQU  7
  TA2CIE  EQU  6
  TC12IE  EQU  5
  TC11IE  EQU  4
  TX2IE   EQU  3
  RC2IE   EQU  2
  BOR2IE  EQU  0
INTF0    EQU  026H
  TA1CIF  EQU  6
  ADIF    EQU  5
  WDTIF   EQU  4
  TB1IF   EQU  3
  E0IF    EQU  0
INTF1    EQU  027H
  TA1IF   EQU  7
  SPIIF   EQU  6
  TXIF    EQU  5
  RCIF    EQU  4
  I2CERIF EQU  3
  I2CIF   EQU  2
  E2IF    EQU  0
INTF2    EQU  028H
  TA2IF   EQU  7
  TA2CIF  EQU  6
  TC12IF  EQU  5
  TC11IF  EQU  4
  TX2IF   EQU  3
  RC2IF   EQU  2
  BOR2IF  EQU  0

;;--------------------------
;; CPU status
;;--------------------------
WREG     EQU  029H
BSRCN    EQU  02AH
MSTAT    EQU  02BH
  C       EQU  4
  DC      EQU  3
  N       EQU  2
  OV      EQU  1
  Z       EQU  0
PSTAT    EQU  02CH
  BOR     EQU  7
  PD      EQU  6
  TO      EQU  5
  IDL     EQU  4
  RST     EQU  3
  SKERR   EQU  2
  BOR2LV  EQU  1
  GCRstIF EQU  0

;;--------------------------
;; Interrupt
;;--------------------------
INTE3    EQU  02EH
  I2CER2IE EQU  1
  I2C2IE   EQU  0
INTF3    EQU  030H
  I2CER2IF EQU  1
  I2C2IF   EQU  0

;;--------------------------
;; BIE
;;--------------------------
BIECN    EQU  031H
  ENBVD   EQU  4
  VPPHV   EQU  3
  ENBCP   EQU  2
  BIEWR   EQU  1
  BIERD   EQU  0
BIEARH   EQU  032H
  ENBIE   EQU  7
BIEARL   EQU  033H
BIEDRH   EQU  034H
BIEDRL   EQU  035H

;;--------------------------
;; Power controller
;;--------------------------
PWRCN    EQU  036H
  ENBGR   EQU  7
  LDOC2   EQU  6
  LDOC1   EQU  5
  LDOC0   EQU  4
  LDOM1   EQU  3
  LDOM0   EQU  2
  ENLDO   EQU  1
  CSFON   EQU  0

;;--------------------------
;; Oscillator
;;--------------------------
OSCCN0   EQU  037H
  OSCS1   EQU  7
  OSCS0   EQU  6
  DHS1    EQU  5
  DHS0    EQU  4
  DMS2    EQU  3
  DMS1    EQU  2
  DMS0    EQU  1
  CUPS    EQU  0
OSCCN1   EQU  038H
  CCOPT   EQU  7
  LCPS    EQU  6
  DADC1   EQU  5
  DADC0   EQU  4
  DTMB1   EQU  3
  DTMB0   EQU  2
  TMBS    EQU  1
OSCCN2   EQU  039H
  ENXT    EQU  5
  XTS1    EQU  4
  XTS0    EQU  3
  HAOM1   EQU  2
  HAOM0   EQU  1
  ENHAO   EQU  0

;;--------------------------
;; CSF control
;;--------------------------
CSFCN0   EQU  03AH
  SKRST   EQU  7
CSFCN1   EQU  03BH
  ENSDRV  EQU  7
  BORTH2  EQU  4
  BORTH1  EQU  3
  BORTH0  EQU  2
  BORS    EQU  1
  ENBOR2  EQU  0

;;--------------------------
;; Watch dog
;;--------------------------
WDTCN    EQU  03EH
  ENBZ    EQU  7
  BZS     EQU  6
  DBZ1    EQU  5
  DBZ0    EQU  4
  ENWDT   EQU  3
  DWDT2   EQU  2
  DWDT1   EQU  1
  DWDT0   EQU  0

;;--------------------------
;; ADC comb
;;--------------------------
AD1H     EQU  03FH
AD1M     EQU  040H
AD1L     EQU  041H

;;--------------------------
;; ADC
;;--------------------------
AD1CN0   EQU  042H
  ENAD1   EQU  7
  OSR3    EQU  4
  OSR2    EQU  3
  OSR1    EQU  2
  OSR0    EQU  1
  CMFR    EQU  0
AD1CN1   EQU  043H
  VREGN   EQU  5
  PGA1    EQU   4
  PGA0    EQU   3
  ADGN2   EQU  2
  ADGN1   EQU  1
  ADGN0   EQU  0
AD1CN2   EQU  044H
  DCSET3  EQU  3
  DCSET2  EQU  2
  DCSET1  EQU  1
  DCSET0  EQU  0
AD1CN3   EQU  045H
  INP3    EQU  7
  INP2    EQU  6
  INP1    EQU  5
  INP0    EQU  4
  INN3    EQU  3
  INN2    EQU  2
  INN1    EQU  1
  INN0    EQU  0
AD1CN4   EQU  046H
  VRH1    EQU  7
  VRH0    EQU  6
  VRL1    EQU  5
  VRL0    EQU  4
  INX1    EQU  3
  INX0    EQU  2
AD1CN5   EQU  047H
  ENACM   EQU  7
  VCMS    EQU  5
  LDOPL   EQU  4
  ENTPS   EQU  1
  TPSCH   EQU  0

;;--------------------------
;; LVD
;;--------------------------
LVDCN    EQU  048H
  PWRS    EQU  5
  LVDS3   EQU  4
  LVDS2   EQU  3
  LVDS1   EQU  2
  LVDS0   EQU  1
  LVDO    EQU  0

;;--------------------------
;; Timer A1
;;--------------------------
TMA1CN   EQU  049H
  ENTMA1  EQU  7
  TMACL1  EQU  6
  TMAS1   EQU  5
  DTMA12  EQU  4
  DTMA11  EQU  3
  DTMA10  EQU  2
  ADCHK1  EQU  1
  ADCHK0  EQU  0
TMA1R    EQU  04AH
TMA1C    EQU  04BH

;;--------------------------
;; Timer B1
;;--------------------------
TB1Flag  EQU  04CH
  PWM7A   EQU  6
  PWM6A   EQU  5
  PWM5A   EQU  4
  PWM4A   EQU  3
  PWM3A   EQU  2
  PWM2A   EQU  1
  PWM1A   EQU  0
TB1CN0   EQU  04DH
  ENTB1   EQU  7
  TB1M1   EQU  6
  TB1M0   EQU  5
  TB1RT1  EQU  4
  TB1RT0  EQU  3
  TB1CL   EQU  2
  PWMO1   EQU  1
  PWMO0   EQU  0
TB1CN1   EQU  04EH
  PA1IV   EQU  7
  PWMA12  EQU  6
  PWMA11  EQU  5
  PWMA10  EQU  4
  PA0IV   EQU  3
  PWMA02  EQU  2
  PWMA01  EQU  1
  PWMA00  EQU  0
TB1RH    EQU  04FH
TB1RL    EQU  050H
TB1C0H   EQU  051H
TB1C0L   EQU  052H
TB1C1H   EQU  053H
TB1C1L   EQU  054H
TB1C2H   EQU  055H
TB1C2L   EQU  056H

;;--------------------------
;; Timer C1
;;--------------------------
TC1CN0   EQU  057H
  TC1S1   EQU  6
  TC1S0   EQU  5
  CPI2P   EQU  2
  CPI1P   EQU  1
  TCEN    EQU  0
TC1CN1   EQU  058H
  CPI1R   EQU  7
  CPSS    EQU  6
  CPI1S1  EQU  5
  CPI1S0  EQU  4
  CP1PS3  EQU  3
  CP1PS2  EQU  2
  CP1PS1  EQU  1
  CP1PS0  EQU  0
TC1R0H   EQU  059H
TC1R0L   EQU  05AH
TC1R1H   EQU  05BH
TC1R1L   EQU  05CH

;;--------------------------
;; PT1
;;--------------------------
PT1      EQU  05DH
  PT12    EQU  2
  PT10   EQU  0
TRISC1   EQU  05EH
  TC12    EQU  2
  TC10    EQU  0
PT1DA    EQU  05FH
  DA12    EQU  2
  DA10    EQU  0
PT1PU    EQU  060H
  PU12    EQU  2
  PU10    EQU  0
PT1M1    EQU  061H
  INTEG01 EQU  1
  INTEG00 EQU  0
PT1INT   EQU  063H
  INTEG2  EQU  2

;;--------------------------
;; PT2
;;--------------------------
PT2      EQU  064H
  PT23    EQU  3
  PT22    EQU  2
  PT21    EQU  1
  PT20    EQU  0
TRISC2   EQU  065H
  TC23    EQU  3
  TC22    EQU  2
  TC21    EQU  1
  TC20    EQU  0
PT2DA    EQU  066H
  DA23    EQU  3
  DA22    EQU  2
  DA21    EQU  1
  DA20    EQU  0
PT2PU    EQU  067H
  PU23    EQU  3
  PU22    EQU  2
  PU21    EQU  1
  PU20    EQU  0
PT2INT   EQU  06AH
  INTG23  EQU  3
  INTG22  EQU  2
  INTG21  EQU  1
  INTG20  EQU  0
PT2INTE  EQU  06BH
  INTE23  EQU  3
  INTE22  EQU  2
  INTE21  EQU  1
  INTE20  EQU  0
PT2INTF  EQU  06CH
  INTF23  EQU  3
  INTF22  EQU  2
  INTF21  EQU  1
  INTF20  EQU  0

;;--------------------------
;; PT4
;;--------------------------
PT4      EQU  06DH
  PT47    EQU  7
  PT46    EQU  6
  PT45    EQU  5
  PT44    EQU  4
PT4DA    EQU  06FH
  DA47    EQU  7
  DA46    EQU  6
  DA45    EQU  5
  DA44    EQU  4
PT4PU    EQU  070H
  PU47    EQU  7
  PU46    EQU  6
  PU45    EQU  5
  PU44    EQU  4
PT4INT   EQU  073H
  INTG47  EQU  7
  INTG46  EQU  6
  INTG45  EQU  5
  INTG44  EQU  4
PT4INTE  EQU  074H
  INTE47  EQU  7
  INTE46  EQU  6
  INTE45  EQU  5
  INTE44  EQU  4
PT4INTF  EQU  075H
  INTF47  EQU  7
  INTF46  EQU  6
  INTF45  EQU  5
  INTF44  EQU  4

;;--------------------------
;; PT12
;;--------------------------
PTPORT12 EQU  076H
  PT127   EQU  7
  PT126   EQU  6
  PT125   EQU  5
  PT124   EQU  4
  PT123   EQU  3
  PT122   EQU  2
  PT121   EQU  1
  PT120   EQU  0
TRISC12  EQU  077H
  TC127   EQU  7
  TC126   EQU  6
  TC125   EQU  5
  TC124   EQU  4
  TC123   EQU  3
  TC122   EQU  2
  TC121   EQU  1
  TC120   EQU  0
PT12DA   EQU  078H
  DA127   EQU  7
  DA126   EQU  6
  DA125   EQU  5
  DA124   EQU  4
  DA123   EQU  3
  DA122   EQU  2
  DA121   EQU  1
  DA120   EQU  0
PT12PU   EQU  079H
  PU127   EQU  7
  PU126   EQU  6
  PU125   EQU  5
  PU124   EQU  4
  PU123   EQU  3
  PU122   EQU  2
  PU121   EQU  1
  PU120   EQU  0

;;--------------------------
;; Timer A2
;;--------------------------
TMA2CN   EQU  07AH
  ENTMA2  EQU  7
  TMACL2  EQU  6
  TMAS2   EQU  5
  DTMA22  EQU  4
  DTMA21  EQU  3
  DTMA20  EQU  2
TMA2R    EQU  07BH
TMA2C    EQU  07CH

;;--------------------------
;; SPI 1
;;--------------------------
SSPCN0   EQU  7DH
  ENSSP   EQU  7
  CKP     EQU  6
  CKE     EQU  5
  SMP     EQU  4
  SSPM1   EQU  1
  SSPM0   EQU  0
SSPSTA0  EQU  7EH
  SSPBY   EQU  7
  SSPOV   EQU  6
  BF      EQU  0
SSPBUF0  EQU  7FH

;;--------------------------
;; I2C 1
;;--------------------------
CFG0     EQU  180H
  GCRst    EQU  2
  ENI2CT  EQU  1
  ENI2C   EQU  0
ACT0     EQU  181H
  SLAVE  EQU   7
  I2CER  EQU   4
  START  EQU   3
  STOP   EQU   2 
  I2CINT EQU   1 
  ACK    EQU   0
STA0     EQU  182H
  MACTF   EQU  7
  SACTF   EQU  6
  RDBF    EQU  5
  RWF     EQU  4
  DFF     EQU  3
  ACKF    EQU  2
  GCF     EQU  1
  ARBF    EQU  0
CRG0     EQU  183H
TOC0     EQU  184H
  I2CTF   EQU  7
RDB0     EQU  185H
TDB0     EQU  186H
SID0     EQU  187H

;;--------------------------
;; I2C 2
;;--------------------------
CFG2     EQU  188H
ACT2     EQU  189H
STA2     EQU  18AH
CRG2     EQU  18BH
TOC2     EQU  18CH
RDB2     EQU  18DH
TDB2     EQU  18EH
SID2     EQU  18FH

;;--------------------------
;; EUART 1
;;--------------------------
UR0CN    EQU  190H
  ENSP    EQU  7
  ENTX    EQU  6
  TX9     EQU  5
  TX9D    EQU  4
  PARITY  EQU  3
  WUE     EQU  0
UR0STA   EQU  191H
  RC9D    EQU  6
  PERR    EQU  5
  FERR    EQU  4
  OERR    EQU  3
  RCIDL   EQU  2
  TRMT    EQU  1
  ABDOVF  EQU  0
BA0CN    EQU  192H
  ENCR    EQU  3
  RC9     EQU  2
  ENADD   EQU  1
  ENABD   EQU  0
BG0RH    EQU  193H
BG0RL    EQU  194H
TX0R     EQU  195H
RC0REG   EQU  196H

;;--------------------------
;; EUART 2
;;--------------------------
UR2CN    EQU  197H
UR2STA   EQU  198H
BA2CN    EQU  199H
BG2RH    EQU  19AH
BG2RL    EQU  19BH
TX2R     EQU  19CH
RC2REG   EQU  19DH

;;--------------------------
;;---- CONSTANT CURRENT
;;--------------------------
CCNT     EQU  19EH
  CCLe12   EQU  2
  CCLe11   EQU  1
  CCLe10   EQU  0
ENCCMode EQU  19FH
  ENCC7    EQU  7
  ENCC6    EQU  6
  ENCC5    EQU  5
  ENCC4    EQU  4
  ENCC3    EQU  3
  ENCC2    EQU  2
  ENCC1    EQU  1
  ENCC0   EQU  0
  
;;--------------------------
;;---- FILTER
;;--------------------------
Filter   EQU  1A0H

;;--------------------------
;;---- DA PORT
;;--------------------------
PT1AIE   EQU  1B0H
  AIE12  EQU  2
  AIE10  EQU  0
PT2AIE   EQU  1B1H
  AIE23  EQU  3
  AIE22  EQU  2
  AIE21  EQU  1
  AIE20  EQU  0
PT4AIE   EQU  1B3H
  AIE47  EQU  7
  AIE46  EQU  6
  AIE45  EQU  5
  AIE44  EQU  4

;;--------------------------
;;---- 80-17F   SRAM
;;---- 2xx      SRAM

;===================================================
W       EQU  0
F       EQU  1
ACCE    EQU  0
A       EQU  0
BANK    EQU  1
B       EQU  1
S       EQU  1
  Bit0    EQU  00000001B
  Bit1    EQU  00000010B
  Bit2    EQU  00000100B
  Bit3    EQU  00001000B
  Bit4    EQU  00010000B
  Bit5    EQU  00100000B
  Bit6    EQU  01000000B
  Bit7    EQU  10000000B
FSR0  EQU  0
FSR1  EQU  1
FSR2  EQU  2
