;Sepcial Register

;;--------------------------
;; CPU core used
;;--------------------------
INDF0    EQU  000H
POINC0   EQU  001H
PODEC0   EQU  002H
PRINC0   EQU  003H
PLUSW0   EQU  004H
INDF1    EQU  005H
POINC1   EQU  006H
PODEC1   EQU  007H
PRINC1   EQU  008H
PLUSW1   EQU  009H
FSR0H    EQU  00FH
FSR0L    EQU  010H
FSR1H    EQU  011H
FSR1L    EQU  012H
TOSH     EQU  016H
TOSL     EQU  017H
SKCN     EQU  018H
  SKFL    EQU  7
  SKUN    EQU  6
  SKOV    EQU  5
  SKPRT3  EQU  3
  SKPRT2  EQU  2
  SKPRT1  EQU  1
  SKPRT0  EQU  0
PCLATH   EQU  01AH
PCLATL   EQU  01BH

;;--------------------------
;; Table read
;;--------------------------
TBLPTRH  EQU  01DH
TBLPTRL  EQU  01EH
TBLDH    EQU  01FH
TBLDL    EQU  020H

;;--------------------------
;; Hardware multiplier
;;--------------------------
PRODH    EQU  021H
PRODL    EQU  022H

;;--------------------------
;; interrupt
;;--------------------------
INTE0    EQU  023H
  GIE     EQU  7
  TA1CIE  EQU  6
  ADIE    EQU  5
  WDTIE   EQU  4
  E1IE    EQU  1
  E0IE    EQU  0
INTE1    EQU  024H
  TA1IE   EQU  7
  TXIE    EQU  5
  RCIE    EQU  4
INTF0    EQU  026H
  TA1CIF  EQU  6
  ADIF    EQU  5
  WDTIF   EQU  4
  TB1IF   EQU  3
  E1IF    EQU  1
  E0IF    EQU  0
INTF1    EQU  027H
  TA1IF   EQU  7
  TXIF    EQU  5
  RCIF    EQU  4

;;--------------------------
;; CPU status
;;--------------------------
WREG     EQU  029H
BSRCN    EQU  02AH
MSTAT    EQU  02BH
  C       EQU  4
  DC      EQU  3
  N       EQU  2
  OV      EQU  1
  Z       EQU  0
PSTAT    EQU  02CH
  BOR     EQU  7
  PD      EQU  6
  TO      EQU  5
  IDL     EQU  4
  RST     EQU  3
  SKERR   EQU  2

;;--------------------------
;; BIE
;;--------------------------
BIECN    EQU  02EH
  ENBVD   EQU  4
  VPPHV   EQU  3
  ENBCP   EQU  2
  BIEWR   EQU  1
  BIERD   EQU  0
BIEARH   EQU  02FH
  ENBIE   EQU  7
BIEARL   EQU  030H
BIEDRH   EQU  031H
BIEDRL   EQU  032H

;;--------------------------
;; Power controller
;;--------------------------
PWRCN    EQU  033H
  ENBGR   EQU  7
  LDOC2   EQU  6
  LDOC1   EQU  5
  LDOC0   EQU  4
  LDOM1   EQU  3
  LDOM0   EQU  2
  ENLDO   EQU  1
  CSFON   EQU  0

;;--------------------------
;; Oscillator
;;--------------------------
OSCCN0   EQU  034H
  OSCS0   EQU  6
  DHS1    EQU  5
  DHS0    EQU  4
  DMS2    EQU  3
  DMS1    EQU  2
  DMS0    EQU  1
  CUPS    EQU  0
OSCCN1   EQU  035H
  DADC1   EQU  5
  DADC0   EQU  4
  LCDS    EQU  0
OSCCN2   EQU  036H
  DLCD1   EQU  7
  DLCD0   EQU  6
  HAOM1   EQU  2
  HAOM0   EQU  1
  ENHAO   EQU  0

;;--------------------------
;; CSF control
;;--------------------------
CSFCN0   EQU  037H
  SKRST   EQU  7
  HAOTR6  EQU  6
  HAOTR5  EQU  5
  HAOTR4  EQU  4
  HAOTR3  EQU  3
  HAOTR2  EQU  2
  HAOTR1  EQU  1
  HAOTR0  EQU  0
CSFCN1   EQU  038H
  ENSDRV  EQU  7

;;--------------------------
;; Watch dog
;;--------------------------
WDTCN    EQU  039H
  ENBZ    EQU  7
  BZS     EQU  6
  DBZ1    EQU  5
  DBZ0    EQU  4
  ENWDT   EQU  3
  DWDT2   EQU  2
  DWDT1   EQU  1
  DWDT0   EQU  0

;;--------------------------
;; ADC comb
;;--------------------------
AD1H     EQU  03AH
AD1M     EQU  03BH
AD1L     EQU  03CH

;;--------------------------
;; ADC
;;--------------------------
AD1CN0   EQU  03DH
  ENAD1   EQU  7
  OSR3    EQU  4
  OSR2    EQU  3
  OSR1    EQU  2
  OSR0    EQU  1
  CMFR    EQU  0
AD1CN1   EQU  03EH
  VRX     EQU  6
  VREGN   EQU  5
  PGAGN1  EQU  4
  PGAGN0  EQU  3
  ADGN2   EQU  2
  ADGN1   EQU  1
  ADGN0   EQU  0
AD1CN2   EQU  03FH
  DCSET3  EQU  3
  DCSET2  EQU  2
  DCSET1  EQU  1
  DCSET0  EQU  0
AD1CN3   EQU  040H
  INP3    EQU  7
  INP2    EQU  6
  INP1    EQU  5
  INP0    EQU  4
  INN3    EQU  3
  INN2    EQU  2
  INN1    EQU  1
  INN0    EQU  0
AD1CN4   EQU  041H
  VRH1    EQU  7
  VRH0    EQU  6
  VRL1    EQU  5
  VRL0    EQU  4
  INX1    EQU  3
  INX0    EQU  2
AD1CN5   EQU  042H
  ENACM   EQU  7
  VCMS    EQU  5
  LDOPL   EQU  4
  ENTPS   EQU  1
  TPSCH   EQU  0

;;--------------------------
;; LVD
;;--------------------------
LVDCN    EQU  043H
  PWRS    EQU  5
  LVDS3   EQU  4
  LVDS2   EQU  3
  LVDS1   EQU  2
  LVDS0   EQU  1
  LVDO    EQU  0

;;--------------------------
;; Timer A1
;;--------------------------
TMA1CN   EQU  044H
  ENTMA1  EQU  7
  TMACL1  EQU  6
  TMAS1   EQU  5
  DTMA12  EQU  4
  DTMA11  EQU  3
  DTMA10  EQU  2
TMA1R    EQU  045H
TMA1C    EQU  046H

;;--------------------------
;; PT1
;;--------------------------
PT1      EQU  047H
  PT17    EQU  7
  PT16    EQU  6
  PT15    EQU  5
  PT14    EQU  4
  PT13    EQU  3
  PT12    EQU  2
  PT11    EQU  1
  PT10    EQU  0
TRISC1   EQU  048H
  TC17    EQU  7
  TC16    EQU  6
  TC15    EQU  5
  TC14    EQU  4
  TC13    EQU  3
  TC12    EQU  2
  TC11    EQU  1
  TC10    EQU  0
PT1DA    EQU  049H
  DA12    EQU  2
PT1PU    EQU  04AH
  PU17    EQU  7
  PU16    EQU  6
  PU15    EQU  5
  PU14    EQU  4
  PU13    EQU  3
  PU12    EQU  2
  PU11    EQU  1
  PU10    EQU  0
PT1M1    EQU  04BH
  E1EG1   EQU  3
  E1EG0   EQU  2
  E0EG1   EQU  1
  E0EG0   EQU  0

;;--------------------------
;; PT2
;;--------------------------
PT2      EQU  04CH
  PT21    EQU  1
  PT20    EQU  0
TRISC2   EQU  04DH
  TC21    EQU  1
  TC20    EQU  0
PT2PU    EQU  04FH
  PU21    EQU  1
  PU20    EQU  0

;;--------------------------
;; PT8
;;--------------------------
PT8      EQU  050H
  PT81    EQU  1
  PT80    EQU  0
TRISC8   EQU  051H
  TC81    EQU  1
  TC80    EQU  0
PT8DA    EQU  052H
  DA81    EQU  1
  DA80    EQU  0
PT8PU    EQU  053H
  PU81    EQU  1
  PU80    EQU  0

;;--------------------------
;; EUART 1
;;--------------------------
UR0CN    EQU  054H
  ENSP    EQU  7
  ENTX    EQU  6
  TX9     EQU  5
  TX9D    EQU  4
  PARITY  EQU  3
  WUE     EQU  0
UR0STA   EQU  055H
  RC9D    EQU  6
  PERR    EQU  5
  FERR    EQU  4
  OERR    EQU  3
  RCIDL   EQU  2
  TRMT    EQU  1
  ABDOVF  EQU  0
BA0CN    EQU  056H
  ENCR    EQU  3
  RC9     EQU  2
  ENADD   EQU  1
  ENABD   EQU  0
BG0RH    EQU  057H
BG0RL    EQU  058H
TX0R     EQU  059H
RC0REG   EQU  05AH

;;--------------------------
;;---- LCD controller
;;--------------------------
LCDCN1   EQU  05BH
  ENLCP   EQU  7
  LCDV2   EQU  6
  LCDV1   EQU  5
  LCDV0   EQU  4
  ENLB    EQU  3
  SELPCLK EQU  2
LCDCN2   EQU  05CH
  LCDBL   EQU  1
  LCI     EQU  0

;;--------------------------
;; LCD/LED/GPIO mode switcH
;;--------------------------
LCDCN3   EQU  05DH
  SCM31   EQU  7
  SCM30   EQU  6
  SCM21   EQU  5
  SCM20   EQU  4
  SCM11   EQU  3
  SCM10   EQU  2
  SCM01   EQU  1
  SCM00   EQU  0
LCDCN4   EQU  05EH
  SSG15   EQU  1
  SSG14   EQU  0

;;--------------------------
;; LCD/LED display
;;--------------------------
LCD0     EQU  05FH
LCD1     EQU  060H
LCD2     EQU  061H
LCD3     EQU  062H
LCD4     EQU  063H
LCD5     EQU  064H
LCD6     EQU  065H

;===================================================
W       EQU  0
F       EQU  1
ACCE    EQU  0
A       EQU  0
BANK    EQU  1
B       EQU  1
S       EQU  1
  Bit0    EQU  00000001B
  Bit1    EQU  00000010B
  Bit2    EQU  00000100B
  Bit3    EQU  00001000B
  Bit4    EQU  00010000B
  Bit5    EQU  00100000B
  Bit6    EQU  01000000B
  Bit7    EQU  10000000B
FSR0  EQU  0
FSR1  EQU  1
