;Sepcial Register

;;--------------------------
;; CPU core used
;;--------------------------
INDF0    EQU  000H
POINC0   EQU  001H
PODEC0   EQU  002H
PRINC0   EQU  003H
PLUSW0   EQU  004H
INDF1    EQU  005H
POINC1   EQU  006H
PODEC1   EQU  007H
PRINC1   EQU  008H
PLUSW1   EQU  009H
INDF2    EQU  00AH
POINC2   EQU  00BH
PODEC2   EQU  00CH
PRINC2   EQU  00DH
PLUSW2   EQU  00EH
FSR0H    EQU  00FH
FSR0L    EQU  010H
FSR1H    EQU  011H
FSR1L    EQU  012H
FSR2H    EQU  013H
FSR2L    EQU  014H
TOSH     EQU  016H
TOSL     EQU  017H
SKCN     EQU  018H
  SKFL    EQU  7
  SKUN    EQU  6
  SKOV    EQU  5
  SKPRT3  EQU  3
  SKPRT2  EQU  2
  SKPRT1  EQU  1
  SKPRT0  EQU  0
PCLATH   EQU  01AH
PCLATL   EQU  01BH

;;--------------------------
;; Table read
;;--------------------------
TBLPTRH  EQU  01DH
TBLPTRL  EQU  01EH
TBLDH    EQU  01FH
TBLDL    EQU  020H

;;--------------------------
;; Hardware multiplier
;;--------------------------
PRODH    EQU  021H
PRODL    EQU  022H

;;--------------------------
;; interrupt
;;--------------------------
INTE0    EQU  023H
  GIE     EQU  7
  TA1CIE  EQU  6
  ADIE    EQU  5
  WDTIE   EQU  4
  TB1IE   EQU  3
  E1IE    EQU  1
  E0IE    EQU  0
INTE1    EQU  024H
  TA1IE   EQU  7
  SPIIE   EQU  6
  TXIE    EQU  5
  RCIE    EQU  4
  I2CERIE EQU  3
  I2CIE   EQU  2
  E3IE    EQU  1
  E2IE    EQU  0
INTE2    EQU  025H
  TX2IE   EQU  3
  RC2IE   EQU  2
  BOR2IE  EQU  0
INTF0    EQU  026H
  TA1CIF  EQU  6
  ADIF    EQU  5
  WDTIF   EQU  4
  TB1IF   EQU  3
  E1IF    EQU  1
  E0IF    EQU  0
INTF1    EQU  027H
  TA1IF   EQU  7
  SPIIF   EQU  6
  TXIF    EQU  5
  RCIF    EQU  4
  I2CERIF EQU  3
  I2CIF   EQU  2
  E3IF    EQU  1
  E2IF    EQU  0
INTF2    EQU  028H
  TX2IF   EQU  3
  RC2IF   EQU  2
  BOR2IF  EQU  0

;;--------------------------
;; CPU status
;;--------------------------
WREG     EQU  029H
BSRCN    EQU  02AH
MSTAT    EQU  02BH
  C       EQU  4
  DC      EQU  3
  N       EQU  2
  OV      EQU  1
  Z       EQU  0
PSTAT    EQU  02CH
  BOR     EQU  7
  PD      EQU  6
  TO      EQU  5
  IDL     EQU  4
  RST     EQU  3
  SKERR   EQU  2
  BOR2LV  EQU  1
  GCRstIF EQU  0

;;--------------------------
;; BIE
;;--------------------------
BIECN    EQU  02EH
  ENBVD   EQU  4
  VPPHV   EQU  3
  ENBCP   EQU  2
  BIEWR   EQU  1
  BIERD   EQU  0
BIEARH   EQU  02FH
  ENBIE   EQU  7
BIEARL   EQU  030H
BIEDRH   EQU  031H
BIEDRL   EQU  032H

;;--------------------------
;; Power controller
;;--------------------------
PWRCN    EQU  033H
  ENBGR   EQU  7
  LDOC2   EQU  6
  LDOC1   EQU  5
  LDOC0   EQU  4
  LDOM1   EQU  3
  LDOM0   EQU  2
  ENLDO   EQU  1
  CSFON   EQU  0

;;--------------------------
;; Oscillator
;;--------------------------
OSCCN0   EQU  034H
  OSCS1   EQU  7
  OSCS0   EQU  6
  DHS1    EQU  5
  DHS0    EQU  4
  DMS2    EQU  3
  DMS1    EQU  2
  DMS0    EQU  1
  CUPS    EQU  0
OSCCN1   EQU  035H
  CCOPT   EQU  7
  LCPS    EQU  6
  DADC1   EQU  5
  DADC0   EQU  4
  DTMB1   EQU  3
  DTMB0   EQU  2
  TMBS    EQU  1
  LCDS    EQU  0
OSCCN2   EQU  036H
  DLCD1   EQU  7
  DLCD0   EQU  6
  ENXT    EQU  5
  XTS1    EQU  4
  XTS0    EQU  3
  HAOM1   EQU  2
  HAOM0   EQU  1
  ENHAO   EQU  0

;;--------------------------
;; CSF control
;;--------------------------
CSFCN0   EQU  037H
  SKRST   EQU  7
CSFCN1   EQU  038H
  ENSDRV  EQU  7
  BORTH2  EQU  4
  BORTH1  EQU  3
  BORTH0  EQU  2
  BORS    EQU  1
  ENBOR2  EQU  0

;;--------------------------
;; Watch dog
;;--------------------------
WDTCN    EQU  039H
  ENBZ    EQU  7
  BZS     EQU  6
  DBZ1     EQU  5
  DBZ0     EQU  4
  ENWDT   EQU  3
  DWDT2   EQU  2
  DWDT1   EQU  1
  DWDT0   EQU  0

;;--------------------------
;; ADC comb
;;--------------------------
AD1H     EQU  03AH
AD1M     EQU  03BH
AD1L     EQU  03CH

;;--------------------------
;; ADC
;;--------------------------
AD1CN0   EQU  03DH
  ENAD1   EQU  7
  OSR3    EQU  4
  OSR2    EQU  3
  OSR1    EQU  2
  OSR0    EQU  1
  CMFR    EQU  0
AD1CN1   EQU  03EH
  VRX     EQU  6
  VREGN   EQU  5
  PGAGN1  EQU  4
  PGAGN0  EQU  3
  ADGN2   EQU  2
  ADGN1   EQU  1
  ADGN0   EQU  0
AD1CN2   EQU  03FH
  DCSET3  EQU  3
  DCSET2  EQU  2
  DCSET1  EQU  1
  DCSET0  EQU  0
AD1CN3   EQU  040H
  INP3    EQU  7
  INP2    EQU  6
  INP1    EQU  5
  INP0    EQU  4
  INN3    EQU  3
  INN2    EQU  2
  INN1    EQU  1
  INN0    EQU  0
AD1CN4   EQU  041H
  VRH1    EQU  7
  VRH0    EQU  6
  VRL1    EQU  5
  VRL0    EQU  4
  INX1    EQU  3
  INX0    EQU  2
AD1CN5   EQU  042H
  ENACM   EQU  7
  ENV12   EQU  6
  VCMS    EQU  5
  LDOPL   EQU  4
  ENTPS   EQU  1
  TPSCH   EQU  0

;;--------------------------
;; LVD
;;--------------------------
LVDCN    EQU  043H
  PWRS    EQU  5
  LVDS3   EQU  4
  LVDS2   EQU  3
  LVDS1   EQU  2
  LVDS0   EQU  1
  LVDO    EQU  0

;;--------------------------
;; Timer A1
;;--------------------------
TMA1CN   EQU  044H
  ENTMA1  EQU  7
  TMACL1  EQU  6
  TMAS1   EQU  5
  DTMA12  EQU  4
  DTMA11  EQU  3
  DTMA10  EQU  2
TMA1R    EQU  045H
TMA1C    EQU  046H

;;--------------------------
;; Timer B1
;;--------------------------
TB1Flag  EQU  047H
  PWM7A   EQU  6
  PWM6A   EQU  5
  PWM5A   EQU  4
  PWM4A   EQU  3
  PWM3A   EQU  2
  PWM2A   EQU  1
  PWM1A   EQU  0
TB1CN0   EQU  048H
  ENTB1   EQU  7
  TB1M1   EQU  6
  TB1M0   EQU  5
  TB1RT1  EQU  4
  TB1RT0  EQU  3
  TB1CL   EQU  2
  PWMO1   EQU  1
  PWMO0   EQU  0
TB1CN1   EQU  049H
  PA1IV   EQU  7
  PWMA12  EQU  6
  PWMA11  EQU  5
  PWMA10  EQU  4
  PA0IV   EQU  3
  PWMA02  EQU  2
  PWMA01  EQU  1
  PWMA00  EQU  0
TB1RH    EQU  04AH
TB1RL    EQU  04BH
TB1C0H   EQU  04CH
TB1C0L   EQU  04DH
TB1C1H   EQU  04EH
TB1C1L   EQU  04FH
TB1C2H   EQU  050H
TB1C2L   EQU  051H

;;--------------------------
;; Timer C1
;;--------------------------
TC1CN0    EQU  052H
  TC1S1   EQU  6
  TC1S0   EQU  5

;;--------------------------
;; PT1
;;--------------------------
PT1      EQU  053H
  PT17    EQU  7
  PT16    EQU  6
  PT15    EQU  5
  PT14    EQU  4
  PT13    EQU  3
  PT12    EQU  2
  PT11    EQU  1
  PT100   EQU  0
TRISC1   EQU  054H
  TC17    EQU  7
  TC16    EQU  6
  TC15    EQU  5
  TC14    EQU  4
  TC13    EQU  3
  TC12    EQU  2
  TC11    EQU  1
  TC10    EQU  0
PT1DA    EQU  055H
  DA15    EQU  5
  DA12    EQU  2
  DA11    EQU  1
PT1PU    EQU  056H
  PU17    EQU  7
  PU16    EQU  6
  PU15    EQU  5
  PU14    EQU  4
  PU13    EQU  3
  PU12    EQU  2
  PU11    EQU  1
  PU10    EQU  0
PT1M1    EQU  057H
  INTEG11 EQU  3
  INTEG10 EQU  2
  INTEG01 EQU  1
  INTEG00 EQU  0
PT1INT   EQU  058H
  INTEG7  EQU  7
  INTEG6  EQU  6
  INTEG5  EQU  5
  INTEG4  EQU  4
  INTEG3  EQU  3
  INTEG2  EQU  2
PT1INTE  EQU  059H
  INTE17  EQU  7
  INTE16  EQU  6
  INTE15  EQU  5
  INTE14  EQU  4
PT1INTF  EQU  05AH
  INTF17  EQU  7
  INTF16  EQU  6
  INTF15  EQU  5
  INTF14  EQU  4

;;--------------------------
;; PT2
;;--------------------------
PT2      EQU  05BH
  PT23    EQU  3
  PT22    EQU  2
  PT21    EQU  1
  PT20    EQU  0
TRISC2   EQU  05CH
  TC23    EQU  3
  TC22    EQU  2
  TC21    EQU  1
  TC20    EQU  0
PT2DA    EQU  05DH
  DA23    EQU  3
  DA21    EQU  1
  DA20    EQU  0
PT2PU    EQU  05EH
  PU23    EQU  3
  PU22    EQU  2
  PU21    EQU  1
  PU20    EQU  0
PT2INT   EQU  05FH
  INTG23  EQU  3
  INTG22  EQU  2
  INTG21  EQU  1
  INTG20  EQU  0
PT2INTE  EQU  060H
  INTE23  EQU  3
  INTE22  EQU  2
  INTE21  EQU  1
  INTE20  EQU  0
PT2INTF  EQU  061H
  INTF23  EQU  3
  INTF22  EQU  2
  INTF21  EQU  1
  INTF20  EQU  0

;;--------------------------
;; PT6
;;--------------------------
PT6      EQU  062H
  PT67    EQU  7
  PT66    EQU  6
  PT65    EQU  5
  PT64    EQU  4
  PT63    EQU  3
  PT62    EQU  2
  PT61    EQU  1
  PT60    EQU  0
TRISC6   EQU  063H
  TC67    EQU  7
  TC66    EQU  6
  TC65    EQU  5
  TC64    EQU  4
  TC63    EQU  3
  TC62    EQU  2
  TC61    EQU  1
  TC60    EQU  0
PT6DA    EQU  064H
  DA67    EQU  7
  DA66    EQU  6
  DA65    EQU  5
  DA64    EQU  4
  DA63    EQU  3
  DA62    EQU  2
  DA61    EQU  1
  DA60    EQU  0
PT6PU    EQU  065H
  PU67    EQU  7
  PU66    EQU  6
  PU65    EQU  5
  PU64    EQU  4
  PU63    EQU  3
  PU62    EQU  2
  PU61    EQU  1
  PU60    EQU  0

;;--------------------------
;; PT7
;;--------------------------
PT7      EQU  066H
  PT77    EQU  7
  PT76    EQU  6
  PT75    EQU  5
  PT74    EQU  4
  PT73    EQU  3
  PT72    EQU  2
  PT71    EQU  1
  PT70    EQU  0
TRISC7   EQU  067H
  TC77    EQU  7
  TC76    EQU  6
  TC75    EQU  5
  TC74    EQU  4
  TC73    EQU  3
  TC72    EQU  2
  TC71    EQU  1
  TC70    EQU  0
PT7DA    EQU  068H
  DA77    EQU  7
  DA76    EQU  6
  DA75    EQU  5
  DA74    EQU  4
  DA73    EQU  3
  DA72    EQU  2
  DA71    EQU  1
  DA70    EQU  0
PT7PU    EQU  069H
  PU77    EQU  7
  PU76    EQU  6
  PU75    EQU  5
  PU74    EQU  4
  PU73    EQU  3
  PU72    EQU  2
  PU71    EQU  1
  PU70    EQU  0

;;--------------------------
;; PT8
;;--------------------------
PT8      EQU  06AH
  PT87    EQU  7
  PT86    EQU  6
  PT85    EQU  5
  PT84    EQU  4
  PT83    EQU  3
  PT82    EQU  2
  PT81    EQU  1
  PT80    EQU  0
TRISC8   EQU  06BH
  TC87    EQU  7
  TC86    EQU  6
  TC85    EQU  5
  TC84    EQU  4
  TC83    EQU  3
  TC82    EQU  2
  TC81    EQU  1
  TC80    EQU  0
PT8DA    EQU  06CH
  DA87    EQU  7
  DA86    EQU  6
  DA85    EQU  5
  DA84    EQU  4
  DA83    EQU  3
  DA82    EQU  2
  DA81    EQU  1
  DA80    EQU  0
PT8PU    EQU  06DH
  PU87    EQU  7
  PU86    EQU  6
  PU85    EQU  5
  PU84    EQU  4
  PU83    EQU  3
  PU82    EQU  2
  PU81    EQU  1
  PU80    EQU  0

;;--------------------------
;; SPI 1
;;--------------------------
SSPCN0   EQU  06EH
  ENSSP   EQU  7
  CKP     EQU  6
  CKE     EQU  5
  SMP     EQU  4
  SSPM1   EQU  1
  SSPM0   EQU  0
SSPSTA0  EQU  06FH
  SSPBY   EQU  7
  SSPOV   EQU  6
  BF      EQU  0
SSPBUF0  EQU  070H

;;--------------------------
;; I2C 1
;;--------------------------
CFG0     EQU  071H
  GCRst   EQU  2
  ENI2CT  EQU  1
  ENI2C   EQU  0
ACT0     EQU  072H
  SLAVE   EQU  7
  I2CER   EQU  4
  START   EQU  3
  STOP    EQU  2
  I2CINT  EQU  1
  ACK     EQU  0
STA0     EQU  073H
  MACTF   EQU  7
  SACTF   EQU  6
  RDBF    EQU  5
  RWF     EQU  4
  DFF     EQU  3
  ACKF    EQU  2
  GCF     EQU  1
  ARBF    EQU  0
CRG0     EQU  074H
TOC0     EQU  075H
  I2CTF   EQU  7
  DI2C2   EQU  6
  DI2C1   EQU  5
  DI2C0   EQU  4
  I2CTLT3 EQU  3
  I2CTLT2 EQU  2
  I2CTLT1 EQU  1
  I2CTLT0 EQU  0
RDB0     EQU  076H
TDB0     EQU  077H
SID0     EQU  078H
  SID07   EQU  7
  SID06   EQU  6
  SID05   EQU  5
  SID04   EQU  4
  SID03   EQU  3
  SID02   EQU  2
  SID01   EQU  1
  SID0V   EQU  0

;;--------------------------
;; EUART 1
;;--------------------------
UR0CN    EQU  079H
  ENSP    EQU  7
  ENTX    EQU  6
  TX9     EQU  5
  TX9D    EQU  4
  PARITY  EQU  3
  WUE     EQU  0
UR0STA   EQU  07AH
  RC9D    EQU  6
  PERR    EQU  5
  FERR    EQU  4
  OERR    EQU  3
  RCIDL   EQU  2
  TRMT    EQU  1
  ABDOVF  EQU  0
BA0CN    EQU  07BH
  ENCR    EQU  3
  RC9     EQU  2
  ENADD   EQU  1
  ENABD   EQU  0
BG0RH    EQU  07CH
BG0RL    EQU  07DH
TX0R     EQU  07EH
RC0REG   EQU  07FH

;;--------------------------
;;---- LCD controller
;;--------------------------
LCDCN1   EQU  180H
  ENLCP   EQU  7
  LCDV2   EQU  6
  LCDV1   EQU  5
  LCDV0   EQU  4
  ENLB    EQU  3
  SELPCLK EQU  2
  LEDCS   EQU  0
LCDCN2   EQU  181H
  LCDBL   EQU  1
  LCI     EQU  0

;;--------------------------
;; LCD/LED/GPIO mode switcH
;;--------------------------
LCDCN3   EQU  182H
  SCM31   EQU  7
  SCM30   EQU  6
  SCM21   EQU  5
  SCM20   EQU  4
  SCM11   EQU  3
  SCM10   EQU  2
  SCM01   EQU  1
  SCM00   EQU  0
LCDCN4   EQU  183H
  SSG21   EQU  7
  SSG20   EQU  6
  SSG19   EQU  5
  SSG18   EQU  4
  SSG17   EQU  3
  SSG16   EQU  2
  SSG15   EQU  1
  SSG14   EQU  0
LCDCN6   EQU  185H
  SSG51   EQU  7
  SSG50   EQU  6
  SSG41   EQU  5
  SSG40   EQU  4
  SSG31   EQU  3
  SSG30   EQU  2
  SSG021  EQU  1
  SSG020  EQU  0
LCDCN7   EQU  186H
  SSG91   EQU  7
  SSG90   EQU  6
  SSG81   EQU  5
  SSG80   EQU  4
  SSG71   EQU  3
  SSG70   EQU  2
  SSG61   EQU  1
  SSG60   EQU  0
LCDCN8   EQU  187H
  SSG131  EQU  7
  SSG130  EQU  6
  SSG121  EQU  5
  SSG120  EQU  4
  SSG111  EQU  3
  SSG110  EQU  2
  SSG101  EQU  1
  SSG100  EQU  0

;;--------------------------
;; LCD/LED display
;;--------------------------
LCD0     EQU  188H
LCD1     EQU  189H
LCD2     EQU  18AH
LCD3     EQU  18BH
LCD4     EQU  18CH
LCD5     EQU  18DH
LCD6     EQU  18EH
LCD7     EQU  18FH
LCD8     EQU  190H
LCD9     EQU  191H

;;--------------------------
;; EUART 2
;;--------------------------
UR2CN    EQU  192H
  ENSP2   EQU  7
  ENTX2   EQU  6
  TX92    EQU  5
  TX9D2   EQU  4
  PARITY2 EQU  3
  WUE2    EQU  0
UR2STA   EQU  193H
  RC9D2   EQU  6
  PERR2   EQU  5
  FERR2   EQU  4
  OERR2   EQU  3
  RCIDL2  EQU  2
  TRMT2   EQU  1
  ABDOVF2 EQU  0
BA2CN    EQU  194H
  ENCR2   EQU  3
  RC92    EQU  2
  ENADD2  EQU  1
  ENABD2  EQU  0
BG2RH    EQU  195H
BG2RL    EQU  196H
TX2R     EQU  197H
RC2REG   EQU  198H

;===================================================
W       EQU  0
F       EQU  1
ACCE    EQU  0
A       EQU  0
BANK    EQU  1
B       EQU  1
S       EQU  1
  Bit0    EQU  00000001B
  Bit1    EQU  00000010B
  Bit2    EQU  00000100B
  Bit3    EQU  00001000B
  Bit4    EQU  00010000B
  Bit5    EQU  00100000B
  Bit6    EQU  01000000B
  Bit7    EQU  10000000B
FSR0  EQU  0
FSR1  EQU  1
FSR2  EQU  2
